Skip to main content
`Ctrl`+`K`

# 7.145. CUpti_Profiler_CounterDataImage_CalculateScratchBufferSize_Params

struct CUpti_Profiler_CounterDataImage_CalculateScratchBufferSize_Params

  Params for cuptiProfilerCounterDataImageCalculateScratchBufferSize.

  Public Members

  size_t structSize

    [in] CUpti_Profiler_CounterDataImage_CalculateScratchBufferSize_Params_STRUCT_SIZE

  void *pPriv

    [in] assign to NULL

  size_t counterDataImageSize

    [in] size calculated from cuptiProfilerCounterDataImageCalculateSize

  uint8_t *pCounterDataImage

    [in]

  size_t counterDataScratchBufferSize

    [out]